Ubuntu

Sync xmlstarlet 1.0.5-1 (universe) from Debian unstable (main)

Reported by Simon Olofsson on 2011-03-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xmlstarlet (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync xmlstarlet 1.0.5-1 (universe) from Debian unstable (main)

Changelog entries since current natty version 1.0.3-1:

xmlstarlet (1.0.5-1) unstable; urgency=low

  * New upstream release.
    - Use XSLT_PARSE_OPTIONS, else CDATA nodes can cause corruption.
      (Closes: #583113)
  * Remove upstream.version.without.git.patch: new release realizes if
    we are using a git repository or not.
  * Remove fix.spelling.errors.patch: spelling error solved in new
    upstream release.
  * Remove fix.wrong.documentation.patch: in new upstream release
    usage strings use argv[0] as program name.
  * debian/rules: Make sure version.h exists. After applying clean target,
    version.h is removed and the next builds fail.
  * Add Vcs-Git, Vcs-Browser fields in debian/control.

 -- Mònica Ramírez Arceda <email address hidden> Thu, 17 Feb 2011 11:44:34 +0100

xmlstarlet (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - Fix some bugs (Closes: #311505, #539573, #609783, #444215)
  * Update upstream.version.without.git.patch to upgrade to version 1.0.4.
  * Update add.shellscript.mark.patch to add new examples.
  * Delete disable.static.libs.patch. Solved in upstream.

 -- Mònica Ramírez Arceda <email address hidden> Wed, 19 Jan 2011 10:05:09 +0100

Simon Olofsson (simono) wrote :

This a bugfix release which fixes some annoying bugs.
Upstream changelog:
 http://xmlstar.git.sourceforge.net/git/gitweb.cgi?p=xmlstar/xmlstar;a=blob_plain;f=NEWS;hb=HEAD

Dave Walker (davewalker) wrote :

The /size/ of the change is a little concerning.. but looking at the upstream changelog, it does seem to be just fixing issues. I haven't seen any new features. Therefore i don't think it needs a FFe.

Builds fine on amd64/natty, and has no rdepends.

Changed in xmlstarlet (Ubuntu):
assignee: nobody → Dave Walker (davewalker)
importance: Undecided → Wishlist
status: New → In Progress
assignee: Dave Walker (davewalker) → nobody
status: In Progress → Confirmed

xmlstarlet 1.0.5-1 builds on amd64. Sync request ACK'd.

Didier Roche (didrocks) wrote :

[Updating] xmlstarlet (1.0.3-1 [Ubuntu] < 1.0.5-1 [Debian])
 * Trying to add xmlstarlet...
2011-03-11 08:48:54 INFO - <xmlstarlet_1.0.5.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-03-11 08:48:54 INFO - <xmlstarlet_1.0.5-1.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-03-11 08:48:54 INFO - <xmlstarlet_1.0.5-1.dsc: downloading from http://ftp.debian.org/debian/>
I: xmlstarlet [universe] -> xmlstarlet_1.0.3-1 [universe].

Changed in xmlstarlet (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers